| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Method

    java.lang.Object
      |
      +--FieldDecl
            |
            +--Method

Direct Known Subclasses:
  Constructor

public class Method
extends FieldDecl

Field Summary
`private Block` | `block`
`private ExceptionList` | `exceptionlist`
`ParameterList` | `parameterlist`
`private Type` | `returntype`
`private de.dhbwstuttgart.typeinference.Menge` | `types_in_parameterlist`

Fields inherited from class FieldDecl
`declid`

Constructor Summary
`Method()`

Method Summary
`void` | `call_sc_check(de.dhbwstuttgart.typeinference.Menge classlist, java.util.Hashtable classhash, boolean ext, java.util.Hashtable parach)`
`void` | `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`Block` | `get_Block()`
`java.lang.String` | `get_codegen_Param_Type(de.dhbwstuttgart.typeinference.Menge paralist)`
`ExceptionList` | `get_ExceptionList()`
`java.lang.String` | `get_Method_Name()`
`ParameterList` | `get_ParaList()`
`Type` | `get_ReturnType()`
`de.dhbwstuttgart.typeinference.Menge` | `get_Type_Paralist()`
`java.lang.String` | `get_Type()`
`void` | `sc_init_parameterlist(boolean ext)`
`void` | `set_Block(Block blo)`
`void` | `set_ExceptionList(ExceptionList exlist)`
`void` | `set_Modifiers(Modifiers modif)`
`void` | `set_ParaList(ParameterList paralist)`
`void` | `set_ReturnType(Type typ)`

Methods inherited from class FieldDecl
`get_Name, getDeclIdMenge, set_DeclId, setDeclIdMenge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### block

    private Block block

### parameterlist

    public ParameterList parameterlist

### exceptionlist

    private ExceptionList exceptionlist

### returntype

    private Type returntype

### types_in_parameterlist

    private de.dhbwstuttgart.typeinference.Menge types_in_parameterlist

Constructor Detail

### Method

    public Method()

Method Detail

### call_sc_check

    public void call_sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                              java.util.Hashtable classhash,
                              boolean ext,
                              java.util.Hashtable parach)
                       throws SCMethodException

    `SCMethodException`

### sc_init_parameterlist

    public void sc_init_parameterlist(boolean ext)

### get_Type

    public java.lang.String get_Type()

  Specified by:
    `get_Type` in class `FieldDecl`

### get_Block

    public Block get_Block()

### set_ReturnType

    public void set_ReturnType(Type typ)

### set_Block

    public void set_Block(Block blo)

### set_Modifiers

    public void set_Modifiers(Modifiers modif)

### set_ExceptionList

    public void set_ExceptionList(ExceptionList exlist)

### set_ParaList

    public void set_ParaList(ParameterList paralist)

### get_ParaList

    public ParameterList get_ParaList()

### get_ExceptionList

    public ExceptionList get_ExceptionList()

### get_ReturnType

    public Type get_ReturnType()

### get_codegen_Param_Type

    public java.lang.String get_codegen_Param_Type(de.dhbwstuttgart.typeinference.Menge paralist)

### get_Method_Name

    public java.lang.String get_Method_Name()

### get_Type_Paralist

    public de.dhbwstuttgart.typeinference.Menge get_Type_Paralist()

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `FieldDecl`
    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD